#
# spec file for package iproute2 (Version 2.4.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ghostscript-fonts-std ghostscript-library ghostscript-x11 glib libpng te_pdf tetex xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext ghostscript-fonts-std ghostscript-library ghostscript-x11 glib glibc glibc-devel gpm gppshare grep groff gzip kbd less libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex te_pdf tetex texinfo textutils timezone unzip util-linux vim xshared

Name:         iproute2
Copyright:    GPL
Group:        Networking/Admin
Provides:     iproute 
Autoreqprov:  on
Version:      2.4.7
Release:      52
Summary:      Advanced kernel 2.2 routing
URL:          ftp://ftp.inr.ac.ru/ip-routing/
Source:       iproute2-%{version}-now-ss010803.tar.gz
Source1:      libnetlink.3
Patch:        iproute2.patch
Patch1:	      iproute2.dif
BuildRoot:    %{_tmppath}/%{name}-build
%package -n libnlink
Summary:      Higher level interface to the netlink service
Group:        Development/Libraries
Provides:     libnetlink

%description -n libnlink
libnetlink provides a higher level interface to rtnetlink(7).

SuSE series: n


%description
This package provides the tools ip,tc,rtmon needed to use the new and
advanced routing options of Linux kernel 2.2. Not needed for 'regular'
routing.

SuSE series: n

%prep
%setup -n iproute2
%patch
%patch1

%build
make
cd doc
make pdf

%install
install -d $RPM_BUILD_ROOT/usr/sbin
install ip/ip $RPM_BUILD_ROOT/usr/sbin/
install ip/rtmon $RPM_BUILD_ROOT/usr/sbin/
install ip/rtacct $RPM_BUILD_ROOT/usr/sbin/
install tc/tc $RPM_BUILD_ROOT/usr/sbin/
install -d $RPM_BUILD_ROOT/usr/share/man/man3
install -d $RPM_BUILD_ROOT/usr/lib
install -d $RPM_BUILD_ROOT/usr/include
install $RPM_SOURCE_DIR/libnetlink.3 $RPM_BUILD_ROOT/usr/share/man/man3
install lib/libnetlink.a $RPM_BUILD_ROOT/usr/lib
install include/libnetlink.h $RPM_BUILD_ROOT/usr/include
strip $RPM_BUILD_ROOT/usr/sbin/* 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root) 
%doc doc/preamble.tex doc/SNAPSHOT.tex doc/api-ip6-flowlabels.tex doc/ip-cref.tex doc/ip-tunnels.tex
%doc doc/api-ip6-flowlabels.pdf doc/ip-cref.pdf doc/ip-tunnels.pdf README README.iproute2+tc
%doc RELNOTES README.SuSE etc/ examples/ README.decnet ip/ifcfg ip/routef ip/routel
/usr/sbin/*

%files -n libnlink
%defattr(-,root,root) 
/usr/include/*
/usr/share/man/man3/*
/usr/lib/* 

%changelog -n iproute2
* Tue Sep 18 2001 - pthomas@suse.de
- Correct spelling in libnetlink.3
- Add both German and English descriptions for libnlink
* Mon Aug 27 2001 - kukuk@suse.de
- Fix compiling on SPARC
* Tue Aug 21 2001 - vinil@suse.cz
- new version ss010803
- get rid of kernel 2.2 patches
* Thu Jul 26 2001 - kukuk@suse.de
- add glib to needed for build
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Wed Jun 27 2001 - ro@suse.de
- ETH_P_ECHO is apparently no longer defined
* Thu Mar 08 2001 - uli@suse.de
- added xshared to neededforbuild
* Mon Mar 05 2001 - kukuk@suse.de
- Remove bogus check for kernel header
* Fri Dec 01 2000 - kukuk@suse.de
- Update to iproute2-2.2.4-now-ss001007 to fix compile problems
  with new kernel and glibc
* Mon Aug 28 2000 - ak@suse.de
- fix permissions
- fix advmss/mtu confusion between 2.2 and 2.4 (advmss now works with 2.2
  kernels and is always enabled)
- add a new subrpm for libnetlink
- add libnetlink man page
* Tue Jul 04 2000 - mha@suse.de
- new version (2.2.4-now-ss000305)
- new README.SuSE
- use ps2pdf instead of pdflatex, because the latter produces
  unusable pdf files for some reason
* Thu Jun 01 2000 - vinil@suse.cz
- documentation enhancement
* Fri May 26 2000 - vinil@suse.cz
- new version (ss000225)
- buildroot added
- sorted in group
* Thu Feb 17 2000 - mha@suse.de
- new version (ss991023)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 22 1999 - mha@suse.de
- new version
- renamed package iproute->iproute2, because that's how the author
  calls it
* Tue Jul 13 1999 - ro@suse.de
- added psutils to neededforbuild
* Sun Jul 11 1999 - mha@suse.de
- new package: iproute (tools for using the advanced routing options
  in kernel 2.2)
